Hent til Linux

Den seneste version af Calibre er 5.17.0. Nyt.

Brug venligst ikke din distributions Calibrepakke, da disse ofte er fejlramte/ ældre. I stedet bruges den binære installation beskrevet nedenfor.

Binær installation

Calibre har en binær installation, der inkluderer private versioner af alle dens afhængigheder. Den afvikles på 32-bit og 64-bit Intel-kompatible maskiner. For at installere eller opgradere, kopier og indsæt den følgende kommando i en terminal og tryk Retur:

Mens du venter på overførslen, så overvej at bidrage til udviklingen af Calibre.

Bemærk

  • Hvis du får en fejl om et utroværdigt certifikat er betydningen, at din computer ikke har rodcertifikater installeret og du derfor ikke sikkert kan hente installationsprogrammet. Hvis du stadig ønsker at fortsætte, så brug tilvalget --no-check-certificate med wget, sådan her:
  • Du skal have have xdg-utils, wget, xz-utils og Python ≥ 2.6 installeret på dit system, før du afvikler installationsprogrammet.
  • You can uninstall calibre by running sudo calibre-uninstall. Alternately, simply deleting the installation folder will remove 99% of installed files.
  • Du skal bruge GLIBC 2.18 eller højere og libstdc++.so.6.0.21 (fra gcc 5.4.0) eller højere for at afvikle Calibre
  • Hvis du får en fejlbesked Could not load the Qt platform plugin xcb, så mangler du nogle krævede X11-XCB-biblioteker, såsom libxcb-xinerama0, for detaljer se her.
  • You can change the folder calibre is installed into from the default (/opt) like this: Change /opt above to whatever folder you want calibre automatically installed to.
  • You can also do an "isolated" install that only touches files inside the installation folder and does not need to be run as root, like this:

Gå tilbage til en tidligere version

Du kan installere en tidligere Calibre-version således: Ændr 4.23.0 oven over til den version du ønsker installeret.

Manuel binær installation

Hvis du ønsker at gå tilbage til en tidligere version af Calibre eller hente en Calibreopgradering manuelt, så hent tarball'en for den udgivelse her (vælg 32-bit eller 64-bit version). Vi antager du ønsker Calibre i /opt/calibre, afvikl den følgende kommando, ændr stien til calibre-tarball.txz neden for:


Kildeinstallation

ADVARSEL: Calibre er et meget komplekst program med en masse kræsne afhængigheder. Hvis du installerer fra kilde, er du på egen hånd. Åbn venligst ikke fejlrapporter eller forvent hjælp. Du er blevet advaret.

Hvis du stadig ønsker at installere fra kilden, så læs videre:

  1. Make sure your system has Python 3 installed.
  2. Installer de forskellige afhængigheder vist nedenfor
  3. Afvikl de følgende kommandoer i en terminal:


Afhængigheder

Den opdaterede liste med afhængigheder, som de officielle binære filer for Calibre har med, kan ses i sources.json. Selvom Calibre måske fungerer med versioner af afhængigheder udover dem vist, er disse dog ikke testet/understøttet. Udover disse afhængigheder er der diverse krav på kompileringstidspunktet såsom pkg-config, en C/C++-kompiler, etc.

Vælg det ønskede sprog